# Class CreateChannelDialog | EchoHub Documentation

# Class CreateChannelDialog

Namespace
  EchoHub.Client.UI.Dialogs

Assembly
  EchoHub.Client.dll

    public sealed class CreateChannelDialog

Inheritance
  object
  CreateChannelDialog

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### CreateChannelDialog()

    public CreateChannelDialog()

## Methods

### Show(IApplication)

    public static CreateChannelResult? Show(IApplication app)

#### Parameters

`app` IApplication

#### Returns

CreateChannelResult